# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name xdg-basedir

%global common_summary Haskell implementation of XDG base directory spec

%global common_description A basic implementation of the XDG Base Directory specification.\
On Unix platforms, this should be a very straightforward implementation\
of the XDG Base Directory spec. On Windows, it will attempt to do the\
right thing with regards to choosing appropriate directories.

Name:           ghc-%{pkg_name}
Version:        0.2.1
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 23 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1-2
- Applied patch provided by Jens Petersen to clean up summary,description
- Added LICENSE to ghc_files macro

* Sun Mar 25 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2.1-1
- Package update to 0.2.1
- Update spec file to 0.25.4

* Tue May 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.2-1
- License is BSD.

* Tue May 10 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.7
